Loading...
Searching...
No Matches
juce::BorderSize< ValueType > Class Template Reference

## Detailed Description

template<typename ValueType>
class juce::BorderSize< ValueType >

Specifies a set of gaps to be left around the sides of a rectangle.

This is basically the size of the spaces at the top, bottom, left and right of a rectangle. It's used by various component classes to specify borders.

See also
  Rectangle

The documentation for this class was generated from the following file:

- juce_graphics/geometry/juce_BorderSize.h

## Public Member Functions

| BorderSize ()=default
| Creates a null border.
| BorderSize (ValueType topGap, ValueType leftGap, ValueType bottomGap, ValueType rightGap) noexcept
| Creates a border with the given gaps.
| BorderSize (ValueType allGaps) noexcept
| Creates a border with the given gap on all sides.
ValueType | getTop () const noexcept
| Returns the gap that should be left at the top of the region.
ValueType | getLeft () const noexcept
| Returns the gap that should be left at the left of the region.
ValueType | getBottom () const noexcept
| Returns the gap that should be left at the bottom of the region.
ValueType | getRight () const noexcept
| Returns the gap that should be left at the right of the region.
ValueType | getTopAndBottom () const noexcept
| Returns the sum of the top and bottom gaps.
ValueType | getLeftAndRight () const noexcept
| Returns the sum of the left and right gaps.
bool | isEmpty () const noexcept
| Returns true if this border has no thickness along any edge.
void | setTop (ValueType newTopGap) noexcept
| Changes the top gap.
void | setLeft (ValueType newLeftGap) noexcept
| Changes the left gap.
void | setBottom (ValueType newBottomGap) noexcept
| Changes the bottom gap.
void | setRight (ValueType newRightGap) noexcept
| Changes the right gap.
Rectangle< ValueType > | subtractedFrom (const Rectangle< ValueType > &original) const noexcept
| Returns a rectangle with these borders removed from it.
void | subtractFrom (Rectangle< ValueType > &rectangle) const noexcept
| Removes this border from a given rectangle.
Rectangle< ValueType > | addedTo (const Rectangle< ValueType > &original) const noexcept
| Returns a rectangle with these borders added around it.
void | addTo (Rectangle< ValueType > &rectangle) const noexcept
| Adds this border around a given rectangle.
BorderSize< ValueType > | subtractedFrom (const BorderSize< ValueType > &other) const noexcept
| Removes this border from another border.
BorderSize< ValueType > | addedTo (const BorderSize< ValueType > &other) const noexcept
| Adds this border to another border.
template<typename ScalarType>
BorderSize< ValueType > | multipliedBy (ScalarType scalar) const noexcept
| Multiplies each member of the border by a scalar.
bool | operator== (const BorderSize &other) const noexcept
bool | operator!= (const BorderSize &other) const noexcept

## Constructors and Destructors

## BorderSize() [1/3]

template<typename ValueType>

juce::BorderSize< ValueType >::BorderSize | ( |  | ) |

default

Creates a null border.

All sizes are left as 0.

Referenced by addedTo(), multipliedBy(), operator!=(), operator==(), and subtractedFrom().

## BorderSize() [2/3]

template<typename ValueType>

juce::BorderSize< ValueType >::BorderSize | ( | ValueType | topGap,
|  | ValueType | leftGap,
|  | ValueType | bottomGap,
|  | ValueType | rightGap )

inline noexcept

Creates a border with the given gaps.

## BorderSize() [3/3]

template<typename ValueType>

juce::BorderSize< ValueType >::BorderSize | ( | ValueType | allGaps | ) |

inline explicit noexcept

Creates a border with the given gap on all sides.

## Member Functions

## getTop()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getTop | ( |  | ) | const

inline noexcept

Returns the gap that should be left at the top of the region.

## getLeft()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getLeft | ( |  | ) | const

inline noexcept

Returns the gap that should be left at the left of the region.

## getBottom()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getBottom | ( |  | ) | const

inline noexcept

Returns the gap that should be left at the bottom of the region.

## getRight()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getRight | ( |  | ) | const

inline noexcept

Returns the gap that should be left at the right of the region.

## getTopAndBottom()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getTopAndBottom | ( |  | ) | const

inline noexcept

Returns the sum of the top and bottom gaps.

## getLeftAndRight()

template<typename ValueType>

ValueType juce::BorderSize< ValueType >::getLeftAndRight | ( |  | ) | const

inline noexcept

Returns the sum of the left and right gaps.

## isEmpty()

template<typename ValueType>

bool juce::BorderSize< ValueType >::isEmpty | ( |  | ) | const

inline noexcept

Returns true if this border has no thickness along any edge.

## setTop()

template<typename ValueType>

void juce::BorderSize< ValueType >::setTop | ( | ValueType | newTopGap | ) |

inline noexcept

Changes the top gap.

## setLeft()

template<typename ValueType>

void juce::BorderSize< ValueType >::setLeft | ( | ValueType | newLeftGap | ) |

inline noexcept

Changes the left gap.

## setBottom()

template<typename ValueType>

void juce::BorderSize< ValueType >::setBottom | ( | ValueType | newBottomGap | ) |

inline noexcept

Changes the bottom gap.

## setRight()

template<typename ValueType>

void juce::BorderSize< ValueType >::setRight | ( | ValueType | newRightGap | ) |

inline noexcept

Changes the right gap.

## subtractedFrom() [1/2]

template<typename ValueType>

Rectangle< ValueType > juce::BorderSize< ValueType >::subtractedFrom | ( | const Rectangle< ValueType > & | original | ) | const

inline noexcept

Returns a rectangle with these borders removed from it.

Referenced by subtractFrom().

## subtractFrom()

template<typename ValueType>

void juce::BorderSize< ValueType >::subtractFrom | ( | Rectangle< ValueType > & | rectangle | ) | const

inline noexcept

Removes this border from a given rectangle.

References subtractedFrom().

## addedTo() [1/2]

template<typename ValueType>

Rectangle< ValueType > juce::BorderSize< ValueType >::addedTo | ( | const Rectangle< ValueType > & | original | ) | const

inline noexcept

Returns a rectangle with these borders added around it.

Referenced by addTo().

## addTo()

template<typename ValueType>

void juce::BorderSize< ValueType >::addTo | ( | Rectangle< ValueType > & | rectangle | ) | const

inline noexcept

Adds this border around a given rectangle.

References addedTo().

## subtractedFrom() [2/2]

template<typename ValueType>

BorderSize< ValueType > juce::BorderSize< ValueType >::subtractedFrom | ( | const BorderSize< ValueType > & | other | ) | const

inline noexcept

Removes this border from another border.

References BorderSize().

## addedTo() [2/2]

template<typename ValueType>

BorderSize< ValueType > juce::BorderSize< ValueType >::addedTo | ( | const BorderSize< ValueType > & | other | ) | const

inline noexcept

Adds this border to another border.

References BorderSize().

## multipliedBy()

template<typename ValueType>
template<typename ScalarType>

BorderSize< ValueType > juce::BorderSize< ValueType >::multipliedBy | ( | ScalarType | scalar | ) | const

inline noexcept

Multiplies each member of the border by a scalar.

References BorderSize().

## operator==()

template<typename ValueType>

bool juce::BorderSize< ValueType >::operator== | ( | const BorderSize< ValueType > & | other | ) | const

inline noexcept

References BorderSize().

## operator!=()

template<typename ValueType>

bool juce::BorderSize< ValueType >::operator!= | ( | const BorderSize< ValueType > & | other | ) | const

inline noexcept

References BorderSize().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited